package com.zcloud.basic.info.command.convertor;

import com.zcloud.basic.info.domain.model.ImgFilesE;
import com.zcloud.basic.info.dto.clientobject.ImgFilesBase64CO;
import com.zcloud.basic.info.dto.clientobject.ImgFilesCO;
import com.zcloud.basic.info.persistence.dataobject.ImgFilesDO;
import com.zcloud.gbscommon.zcloudimgfiles.response.ZcloudImgFilesCO;
import org.mapstruct.Mapper;

import java.util.List;



/**
* web-app
* @Author zhangyue
* @Date 2025-10-30 16:10:05
*/
@Mapper(componentModel = "spring")
public interface ImgFilesCoConvertor {
    /**
    * @param imgFilesDOs
    * @return
    */
    List<ImgFilesCO> converDOsToCOs(List<ImgFilesDO> imgFilesDOs);
    List<ImgFilesDO> converEsToDOs(List<ImgFilesE> imgFilesEs);
    List<ImgFilesE> converDOsToEs(List<ImgFilesDO> imgFilesDOs);

    List<ZcloudImgFilesCO> converCOsToDubboCOs(List<ImgFilesCO> imgFilesCOs);

    List<ImgFilesBase64CO> converDOsToBase64COs(List<ImgFilesDO> imgFilesDOs);

}

